// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: capbankmodule/capbankmodule.proto

package openfmb.capbankmodule;

public interface CapBankStatusOrBuilder extends
    // @@protoc_insertion_point(interface_extends:capbankmodule.CapBankStatus)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  boolean hasStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  openfmb.commonmodule.StatusValue getStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
   * @return Whether the capBankEventAndStatusYPSH field is set.
   */
  boolean hasCapBankEventAndStatusYPSH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
   * @return The capBankEventAndStatusYPSH.
   */
  openfmb.capbankmodule.CapBankEventAndStatusYPSH getCapBankEventAndStatusYPSH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
   */
  openfmb.capbankmodule.CapBankEventAndStatusYPSHOrBuilder getCapBankEventAndStatusYPSHOrBuilder();
}
